

var domain=document.domain;
var fullurl=document.URL;
var blockedDomains_troll = [];
var blockedDomains_jumpscare = [];
var blockedDomains_rickroll = [];
var blockedDomains_other = [];

chrome.storage.sync.get("enabled_funcs", function(result_funcs) {
  
  if (!result_funcs.enabled_funcs) {
    chrome.storage.sync.set({
      enabled_funcs: { "troll": true, "jumpscare": true, "rickroll": false, "other": true }
    });
  }

  if (!result_funcs.enabled_funcs.troll && !result_funcs.enabled_funcs.jumpscare && !result_funcs.enabled_funcs.rickroll && !result_funcs.enabled_funcs.other) {
    return;
  }

  chrome.storage.sync.get("database", function(result) {
    blockedDomains_troll = result.database.data_troll;
    blockedDomains_jumpscare = result.database.data_jumpscare;
    blockedDomains_rickroll = result.database.data_rickroll;
    blockedDomains_other = result.database.data_other;

    if(localStorage.getItem("bypassTrollBlocker") == "true"){
      localStorage.clear("bypassTrollBlocker");
      return;
    }


    var reason = "";

    var blocked = false;
    if(result_funcs.enabled_funcs.troll){
      if ((blockedDomains_troll.indexOf(domain) > -1 )|| blockedDomains_troll.indexOf(fullurl) > -1) {
        blocked = true;
        reason = " troll";
    }}
    if(result_funcs.enabled_funcs.jumpscare){
      if ((blockedDomains_jumpscare.indexOf(domain) > -1 )|| blockedDomains_jumpscare.indexOf(fullurl) > -1) {
        blocked = true;
        reason = reason + " jumpscare";
    }}
    if(result_funcs.enabled_funcs.rickroll){
      if ((blockedDomains_rickroll.indexOf(domain) > -1 ) || blockedDomains_rickroll.indexOf(fullurl) > -1) {
        blocked = true;
        reason = reason + " rickroll";
    }}
    if(result_funcs.enabled_funcs.other){
      if ((blockedDomains_other.indexOf(domain) > -1 )|| (blockedDomains_other.indexOf(fullurl) > -1)) {
        blocked = true;
        reason = reason + " other";
    }}



    if(blocked) {
      console.log("BLOCKED!");
      newHTML = `<html>
      <head>
        <title>TROLL SITE ALERT!</title>
        <style>
      a { 
        text-decoration: none;
        color: #000;
        border: 1px solid #ccc;
        padding: 5px;
        margin: 0 5px;
        display: inline-block;
        user-select: none;
        cursor: default;
      }

      a:hover {
        background: #eee;
        cursor: pointer;
      }
      </style>
      </head>
      <body>
        <h1 style="color: red">This page is marked as TROLL SITE!</h1>
        <p>Tags marked to this page:${reason}</p>
        <a class="bypass">Continue</a>
      </body>
      </html>`

      document.open()
      document.write(newHTML)
      document.close()
      window.stop();

      document.querySelector('.bypass').addEventListener('click', function() {
        localStorage.setItem("bypassTrollBlocker", "true");
        window.location.reload();
      });
    }

  })
})

